com.genesyslab.wfm8.API.service.schedule851

## Class SchCandidate

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule851.SchCandidate

- All Implemented Interfaces:
    java.io.Serializable

      public class SchCandidate
      extends java.lang.Object
      implements java.io.Serializable

  Contains a list of agents who qualify for the schedule swap/trade with specified agent.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `candidates` A list of agent IDs that qualify for the swap/trade.
    `protected int` | `candidatesNSizeIs` Number of elements in the "candidates" array
    `protected int` | `gswAgentId` The ID of an agent whose schedule you would like to swap with some other agent's schedule.
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchCandidate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getCandidates()` Gets the value of the candidates property.
    `int` | `getCandidatesNSizeIs()` Gets the value of the candidatesNSizeIs property.
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `hashCode()`
    `void` | `setCandidates(java.util.List<java.lang.Integer> candidates)` Sets the value of the candidates property.
    `void` | `setCandidatesNSizeIs(int value)` Sets the value of the candidatesNSizeIs property.
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `java.lang.String` | `toString()`
    `SchCandidate` | `withCandidates(java.util.Collection<java.lang.Integer> values)`
    `SchCandidate` | `withCandidates(java.lang.Integer... values)`
    `SchCandidate` | `withCandidatesNSizeIs(int value)`
    `SchCandidate` | `withGswAgentId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      The ID of an agent whose schedule you would like to swap with some other agent's schedule.

    - #### candidatesNSizeIs

          protected int candidatesNSizeIs

      Number of elements in the "candidates" array

    - #### candidates

          protected java.util.List<java.lang.Integer> candidates

      A list of agent IDs that qualify for the swap/trade.

  - ### Constructor Detail

    - #### SchCandidate

          public SchCandidate()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getCandidatesNSizeIs

          public int getCandidatesNSizeIs()

      Gets the value of the candidatesNSizeIs property.

    - #### setCandidatesNSizeIs

          public void setCandidatesNSizeIs(int value)

      Sets the value of the candidatesNSizeIs property.

    - #### getCandidates

          public java.util.List<java.lang.Integer> getCandidates()

      Gets the value of the candidates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the candidates property.

      For example, to add a new item, do as follows:

              getCandidates().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withGswAgentId

          public SchCandidate withGswAgentId(int value)

    - #### withCandidatesNSizeIs

          public SchCandidate withCandidatesNSizeIs(int value)

    - #### withCandidates

          public SchCandidate withCandidates(java.lang.Integer... values)

    - #### withCandidates

          public SchCandidate withCandidates(java.util.Collection<java.lang.Integer> values)

    - #### setCandidates

          public void setCandidates(java.util.List<java.lang.Integer> candidates)

      Sets the value of the candidates property.
      Parameters:
        `candidates` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.